html {
    font-family: 'open sans light', sans-serif;
    font-family: 'Livvic', sans-serif;
    font-family: 'Roboto', sans-serif;
    font-family: 'Ubuntu', sans-serif;
    font-family: 'Ubuntu Mono', monospace;
    width: 99%;
    font-size: 1rem;
    margin: 0;
}

body {
    width: 100%;
    height: 97vh;
}

.chat-app-main {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
}

.channels-main {
    position: relative;
    height: 100%;
    width: 20%;
    background: #3f0e40;
}

#channels-name>div {
    color: white;
    font-family: Livvic;
    font-size: 1rem;
    width: 100%;
    height: 3rem;
    line-height: 3rem;
    padding-left: 1rem;
    border: 1px dotted whitesmoke;
}

#channels-name>div:hover {
    background: #bb67bd;
}

.channels-main>div:first-child {
    padding-left: 1rem;
    line-height: 4rem;
    font-size: 1.5rem;
    font-weight: bold;
    height: 10%;
    color: white;
    font-family: Livvic;
}

.add-channel {
    width: 100%;
    height: 3.5rem;
    position: absolute;
    bottom: .5rem;
    background: #521353;
}

.add-channel>input {
    width: 98.4%;
    height: 1.5rem;
    border-radius: .5rem;
    text-align: center;
    font-size: 1rem;
}

.add-channel>button {
    font-family: Livvic bold;
    font-size: 1.2rem;
    width: 100%;
    height: 2rem;
    background: #bb67bd;
    border-radius: .5rem;
}

.chat-main {
    height: 100%;
    width: 80%;
    background: white;
}

.chat-channel-name {
    width: 100%;
    height: 10%;
    border: 1px dotted gray;
    background: whitesmoke;
    font-family: Ubuntu;
    font-weight: bold;
    font-size: 1.5rem;
    line-height: 4rem;
}

#chat-messages {
    width: 100%;
    height: 79%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: flex-end;
    text-align: end;
}

#chat-messages>div {
    width: 100%;
    height: 4rem;
    font-size: 2rem;
    line-height: 4rem;
}

.chat-user {
    width: 100%;
    height: 10%;
    background: whitesmoke;
    border: 1px dotted gray;
}

#user-input {
    width: 90%;
    height: 75%;
    margin-left: 1%;
    margin-top: .5%;
    border-radius: 1rem;
    font-size: 1.5rem;
    font-family: Livvic;
    text-align: end
}

#user-input-btn {
    width: 6%;
    height: 70%;
    margin-left: .5%;
    margin-top: .5%;
    background: #042f8b79;
    border-radius: 5rem;
}